Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ItemNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.ItemNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class ItemNotFoundException
extends CollaborationException

Exception class that means that an item that was requested was not found by the provider (it may not exist, or may have been externally deleted).

See Also:
  Serialized Form

Constructor Summary
`ItemNotFoundException(com.compoze.collab.spi.Context ctx)` Constructor.
`ItemNotFoundException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an ItemNotFoundException.
`ItemNotFoundException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs an ItemNotFoundException.
`ItemNotFoundException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an ItemNotFoundException.
`ItemNotFoundException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs an ItemNotFoundException.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemNotFoundException

    public ItemNotFoundException(com.compoze.collab.spi.Context ctx)

  Constructor.

### ItemNotFoundException

    public ItemNotFoundException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an ItemNotFoundException.

Parameters:
  `ctx` -
  `key` -

### ItemNotFoundException

    public ItemNotFoundException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key,
                                 java.lang.Object param)

  Constructs an ItemNotFoundException.

Parameters:
  `ctx` -
  `key` -
  `param` -

### ItemNotFoundException

    public ItemNotFoundException(java.lang.Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an ItemNotFoundException.

Parameters:
  `t` -
  `ctx` -
  `key` -

### ItemNotFoundException

    public ItemNotFoundException(java.lang.Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey key,
                                 java.lang.Object param)

  Constructs an ItemNotFoundException.

Parameters:
  `t` -
  `ctx` -
  `key` -
  `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.